Package net.rubygrapefruit.platform.internal

# Class DefaultOsxMemoryInfo

java.lang.Object
net.rubygrapefruit.platform.internal.DefaultOsxMemoryInfo

All Implemented Interfaces:
  `MemoryInfo`, `OsxMemoryInfo`

public class DefaultOsxMemoryInfo extends Object implements OsxMemoryInfo

## Constructor Summary

Constructors
Constructor
Description
`DefaultOsxMemoryInfo()`

## Method Summary

Modifier and Type
Method
Description
`void`
`details(long pageSize, long freeCount, long inactiveCount, long wiredCount, long activeCount, long externalCount, long speculativeCount, long totalMem, long availableMem)`
`long`
`getActivePagesCount()`
`long`
`getAvailablePhysicalMemory()`
Calculated.
`long`
`getExternalPagesCount()`
`long`
`getFreePagesCount()`
`long`
`getInactivePagesCount()`
`long`
`getPageSize()`
`long`
`getSpeculativePagesCount()`
`long`
`getTotalPhysicalMemory()`
Returns the number of bytes of physical memory installed in the machine.
`long`
`getWiredPagesCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultOsxMemoryInfo

public DefaultOsxMemoryInfo()

## Method Details

### details

public void details(long pageSize, long freeCount, long inactiveCount, long wiredCount, long activeCount, long externalCount, long speculativeCount, long totalMem, long availableMem)

### getPageSize

public long getPageSize()

Specified by:
  `getPageSize` in interface `OsxMemoryInfo`

### getFreePagesCount

public long getFreePagesCount()

Specified by:
  `getFreePagesCount` in interface `OsxMemoryInfo`

### getInactivePagesCount

public long getInactivePagesCount()

Specified by:
  `getInactivePagesCount` in interface `OsxMemoryInfo`

### getWiredPagesCount

public long getWiredPagesCount()

Specified by:
  `getWiredPagesCount` in interface `OsxMemoryInfo`

### getActivePagesCount

public long getActivePagesCount()

Specified by:
  `getActivePagesCount` in interface `OsxMemoryInfo`

### getExternalPagesCount

public long getExternalPagesCount()

Specified by:
  `getExternalPagesCount` in interface `OsxMemoryInfo`

### getSpeculativePagesCount

public long getSpeculativePagesCount()

Specified by:
  `getSpeculativePagesCount` in interface `OsxMemoryInfo`

### getTotalPhysicalMemory

public long getTotalPhysicalMemory()
Description copied from interface: `MemoryInfo`
Returns the number of bytes of physical memory installed in the machine.

Specified by:
  `getTotalPhysicalMemory` in interface `MemoryInfo`
Specified by:
  `getTotalPhysicalMemory` in interface `OsxMemoryInfo`

### getAvailablePhysicalMemory

public long getAvailablePhysicalMemory()
Description copied from interface: `OsxMemoryInfo`
Calculated.

Specified by:
  `getAvailablePhysicalMemory` in interface `MemoryInfo`
Specified by:
  `getAvailablePhysicalMemory` in interface `OsxMemoryInfo`